## org.eclipse.datatools.sqltools.routineeditor.ui
Class RoutineAnnotationModel

    java.lang.Object
      org.eclipse.jface.text.source.AnnotationModel
          org.eclipse.ui.texteditor.AbstractMarkerAnnotationModel
              org.eclipse.ui.texteditor.ResourceMarkerAnnotationModel
                  org.eclipse.datatools.sqltools.routineeditor.ui.RoutineAnnotationModel

All Implemented Interfaces:
  org.eclipse.core.filebuffers.IPersistableAnnotationModel, org.eclipse.jface.text.ISynchronizable, org.eclipse.jface.text.source.IAnnotationModel, org.eclipse.jface.text.source.IAnnotationModelExtension, org.eclipse.jface.text.source.IAnnotationModelExtension2

Direct Known Subclasses:
  SPBreakpointAnnotationModel

    public class RoutineAnnotationModel

extends org.eclipse.ui.texteditor.ResourceMarkerAnnotationModel

This is the default annotation model for routine objects.

Author:
  Hui Cao

Constructor Summary
`RoutineAnnotationModel(org.eclipse.datatools.sqltools.core.ProcIdentifier procid)`

Method Summary

Methods inherited from class org.eclipse.ui.texteditor.AbstractMarkerAnnotationModel
`commit, getMarkerAnnotation, getMarkerPosition, reinitialize, resetMarkers, revert, updateMarker, updateMarker, updateMarkers`

Methods inherited from class org.eclipse.jface.text.source.AnnotationModel
`addAnnotation, addAnnotationModel, addAnnotationModelListener, connect, disconnect, getAnnotationIterator, getAnnotationIterator, getAnnotationModel, getLockObject, getModificationStamp, getPosition, modifyAnnotationPosition, removeAllAnnotations, removeAnnotation, removeAnnotationModel, removeAnnotationModelListener, replaceAnnotations, setLockObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutineAnnotationModel

    public RoutineAnnotationModel(org.eclipse.datatools.sqltools.core.ProcIdentifier procid)